Bug 388711 - GDM hangs up the X system
GDM hangs up the X system
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
i386 Linux
low Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-17 14:15 EST by Arturo Alejandro Hoffstadt Urrutia
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-29 10:28:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Arturo Alejandro Hoffstadt Urrutia 2007-11-17 14:15:58 EST
Description of problem:

GDM hangs up my X.org system. After all the services has started up, it hangs my
computer up. My keyboard is useless (even CTRL-ALT combinations), but the mouse
still moves.
GDM hasn't load anything yet, so I can do nothing.

If I switch to another Display Mananger (using single option in kernel, and then
/etc/sysconfig/desktop file), It starts without a problem.

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Steps to Reproduce:
1. Update to xorg-x11-server-Xorg-, and
xorg-x11-drv-i810-2.1.99-1.fc9 (Maybe an intel driver problem?)
2. Reboot
Actual results:
GDM Hangs

Expected results:
GDM should show the usual user selection screen.

Additional info:
Videocard: Intel Corporation Mobile 915GM/PM/GMS/910GML Express Processor to
DRAM Controller (rev 03)
Rawhide up-to-day
Comment 1 Zdenek Kabelac 2007-11-21 04:46:48 EST
After update I've exactly the same problem - T61 with Intel 965GM chipset.
Xorg.log  stop after it these lines:

(II) intel(0): xf86BindGARTMemory: bind key 0 at 0x0077f000 (pgoffset 1919)
(II) intel(0): xf86BindGARTMemory: bind key 1 at 0x03440000 (pgoffset 13376)
(II) intel(0): xf86BindGARTMemory: bind key 2 at 0x03450000 (pgoffset 13392)
(II) intel(0): xf86BindGARTMemory: bind key 3 at 0x03fcc000 (pgoffset 16332)
(II) intel(0): xf86BindGARTMemory: bind key 4 at 0x04b48000 (pgoffset 19272)

I can switch to console - kill Xorg and log as a user and run startx - this
works without problems.
Comment 2 Zdenek Kabelac 2007-11-22 05:19:36 EST
Today with gdm - 1:2.21.2-0.2007.11.20.2.fc9.x86_64
gdm works again and I guess this bug can be closed.

Note You need to log in before you can comment on or make changes to this bug.